POST ticket/clubcard/payOrder/{appId}/{auth}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| appId | integer |
Required |
|
| auth | string |
Required |
Body Parameters
PayOOrdeByClubcardRequest| Name | Description | Type | Additional information |
|---|---|---|---|
| clubcardId | globally unique identifier |
None. |
|
| orderId | globally unique identifier |
None. |
|
| transactionId | string |
None. |
Request Formats
application/json, text/json
Sample:
{
"clubcardId": "472a3110-37f8-4cae-895c-26c92e347d1a",
"orderId": "3ef7b5d6-b7c3-45fd-91d0-0f2dca6827b9",
"transactionId": "sample string 3"
}
application/xml, text/xml
Sample:
<PayOOrdeByClubcardRequest xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Tiszamozi_API.Models"> <clubcardId>472a3110-37f8-4cae-895c-26c92e347d1a</clubcardId> <orderId>3ef7b5d6-b7c3-45fd-91d0-0f2dca6827b9</orderId> <transactionId>sample string 3</transactionId> </PayOOrdeByClubcardRequest>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
PayByClubcardResponse| Name | Description | Type | Additional information |
|---|---|---|---|
| result | ClubcardResult |
None. |
|
| itemType | integer |
None. |
|
| objectId | globally unique identifier |
None. |
|
| paymentId | globally unique identifier |
None. |
|
| downloadPage | string |
None. |
Response Formats
application/json, text/json
Sample:
{
"result": {
"code": 0,
"message": "sample string 1"
},
"itemType": 1,
"objectId": "ad4e327a-7315-4c8d-9bb8-4d2586492ca1",
"paymentId": "10bdde1a-28f5-4817-9398-61aeaecdc2ae",
"downloadPage": "sample string 4"
}
application/xml, text/xml
Sample:
<PayByClubcardResponse xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Tiszamozi_API.Models">
<downloadPage>sample string 4</downloadPage>
<itemType>1</itemType>
<objectId>ad4e327a-7315-4c8d-9bb8-4d2586492ca1</objectId>
<paymentId>10bdde1a-28f5-4817-9398-61aeaecdc2ae</paymentId>
<result>
<code>OK</code>
<message>sample string 1</message>
</result>
</PayByClubcardResponse>